Bug 476881 - Unable to write with diacritics
Unable to write with diacritics
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-evdev (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 12:51 EST by Peter Veres
Modified: 2009-02-23 12:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-23 12:01:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.38 KB, text/plain)
2008-12-21 06:43 EST, Peter Veres
no flags Details
Xorg.0.log (54.57 KB, text/plain)
2008-12-21 06:43 EST, Peter Veres
no flags Details
Xorg.0.log.old (55.03 KB, text/plain)
2008-12-21 06:44 EST, Peter Veres
no flags Details
Xorg.1.log (55.79 KB, text/plain)
2008-12-21 06:44 EST, Peter Veres
no flags Details

  None (edit)
Description Peter Veres 2008-12-17 12:51:02 EST
Description of problem:
I am unable to write characters with diacritics when I try to use diacritics chars manually. I tried with Slovak and Czech layout, with no success. This doesn't work in GTK (gedit, gnome-terminal,openoffice) and Qt(Opera,kopete) based, applications, Tk based (aMSN) works. On slovak keyboard layout there is "ˇ" and "´" char located on key left from backspace("+=" on USA keyboard.). When writing on this keyboard, after pressing "ˇ"(shift + "=" key) and for example s, this should produce "š" letter, however in Qt apps it makes "ˇs", GTK doesn't show anything. If u use keys 1-0 located on top of keyboard, which have assigned chars with diacritics, these chars are shown correctly. (2 for ľ, 3 for š etc.)

How reproducible:

Steps to Reproduce:
1. Open any text entry field, set keyboard layout to slovak or czech.
2. Press shift + "=" key, press for example C, it should output č, but it does ˇc.
3. Or press just "=", and then e, this should produce é, but produces ´e.
  
Actual results:
Can not entry letters with diacritics manually, only can use these assigned to numeric keys. Qt produces ´e, ´r, ˇs, ˇc, GTK doesn't output anything.

Expected results:
After pressing "=" key on english keyboard, followed with e,i, should produce é,í, after pressing shift+"=" followed with s,c should produce š,č


Config from xorg.conf related to keyboard:

Section "ServerLayout"
	Identifier     "single head configuration"
	Screen      0  "Screen0" 0 0
	InputDevice    "Keyboard0" "CoreKeyboard"
	InputDevice    "Synaptics" "CorePointer"
EndSection

Section "InputDevice"
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us+inet,sk,cz"
EndSection
Comment 1 Matěj Cepl 2008-12-20 17:28:47 EST
Weird, cannot reproduce here. I am Czech, so I should have similar problems to yours, but everything works now.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

How do you setup your Czech/Slovak keyboard layout? In xorg.conf or via Gnome menus?

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Peter Veres 2008-12-21 06:42:33 EST
I did setup keyboard layout through Gnome keyboard config (system>preferences>hardware>keyboard), and I do switch layouts throught panel applet. At the moment I can write normally in GTK (terminal, openoffice) apps, Tk and Qt doesn't work. Going to attach xorg.conf and Xorg logs.
Comment 3 Peter Veres 2008-12-21 06:43:20 EST
Created attachment 327571 [details]
xorg.conf
Comment 4 Peter Veres 2008-12-21 06:43:44 EST
Created attachment 327572 [details]
Xorg.0.log
Comment 5 Peter Veres 2008-12-21 06:44:12 EST
Created attachment 327573 [details]
Xorg.0.log.old
Comment 6 Peter Veres 2008-12-21 06:44:50 EST
Created attachment 327574 [details]
Xorg.1.log
Comment 7 Peter Hutterer 2008-12-22 17:48:33 EST
please fire up xterm and check if it works there. If it does, create a test user on your machine and log into this test user. Does it work with gtk there?

could be stale settings somewhere.
Comment 8 Matěj Cepl 2009-02-08 12:18:46 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Peter Veres 2009-02-09 06:09:57 EST
(In reply to comment #7)
> please fire up xterm and check if it works there. If it does, create a test
> user on your machine and log into this test user. Does it work with gtk there?
> 
> could be stale settings somewhere.

- xterm works
- when logged in as test user GTK works, Qt not, same as with previous username

ps: sorry for late reply, first message lost somewhere
Comment 10 Alejandro Morell 2009-02-23 10:53:26 EST
Hi guys, I had this issue with aMSN and Lyx programs (not gtk or qt as you). This is the inverse of your problem, but you can try this:
  1. Backup xorg.conf and delete it. In my system I don't have xorg.conf and keyboard is detected ok. Check if it's ok at System->Preferences->Keyboard.
  2. Diacritics in Gtk and Qt programs should work.
  3. Maybe some programs (amsn, lyx, etc) doesn't work with diacritics. I fixed this reseting XMODIFIERS variable (found in amsn forums). Try in terminal:
    $> XMODIFIERS='' amsn

If the hack works, you can add XMODIFIERS='' to your .bashrc to avoid entering terminal each time.

PD: I don't think this is an evdev issue, seems a error in configuration of SCIM.
Comment 11 Peter Veres 2009-02-23 12:01:56 EST
It seems this is bug of some wrong configuration between input methods in KDE and Gnome or something, though I'm not able to reproduce this bug and input works correct in KDE (only in gnome Qt apps don't support diacritics). I have switched to KDE and so solved this problem :)

Note You need to log in before you can comment on or make changes to this bug.